Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mime
[Java] Class DefaultMimeUtility

    java.lang.Object
      org.codehaus.groovy.grails.web.mime.DefaultMimeUtility

All Implemented Interfaces:
  MimeUtility

    public class DefaultMimeUtility
    extends java.lang.Object

Authors:
  Graeme Rocher

Since:
  2.0

Constructor Summary
`DefaultMimeUtility(MimeType[] mimeTypes)`
`DefaultMimeUtility(java.util.List mimeTypes)`

Method Summary
`java.util.List` | `getKnownMimeTypes()` {@inheritDoc}
`MimeType` | `getMimeTypeForExtension(java.lang.String extension)` {@inheritDoc}
`MimeType` | `getMimeTypeForURI(java.lang.String uri)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DefaultMimeUtility

    public DefaultMimeUtility(MimeType[] mimeTypes)

### DefaultMimeUtility

    public DefaultMimeUtility(java.util.List mimeTypes)

Method Detail

### getKnownMimeTypes

    public java.util.List getKnownMimeTypes()

  {@inheritDoc}

### getMimeTypeForExtension

    public MimeType getMimeTypeForExtension(java.lang.String extension)

  {@inheritDoc}

### getMimeTypeForURI

    public MimeType getMimeTypeForURI(java.lang.String uri)

Groovy Documentation